Main Page Modules Class Hierarchy Compound List File List Compound Members File Members

# Stream_mixer input channels

## Detailed Description

The following are methods implemented in the Stream_mixer class to control input channels (InChannel class) that are then mixed together and sent to output channels (OutChannel class).

The input channels make audio chunks available thru buffered and threadsafe FIFO pipes (Pipe class), for the mixer to mix.

The playlist functions are incorporated inside the Linklist and Playlist classes - which you can freely access.

## Functions
bool | create_channel (int ch)
| create channel ch
bool | delete_channel (int ch)
| deletes the channel ch
bool | add_to_playlist (int ch, const char *file)
| inserts a new entry at the bottom of a channel playlist
void | rem_from_playlist (int ch, int pos)
| removes the entry at a certain position from a channel playlist
bool | set_channel (int ch, int playlist_pos)
| selects the entry at a certain position of a channel playlist
int | play_channel (int ch)
| set the channel playing
bool | stop_channel (int ch)
| stop the channel
bool | pause_channel (int ch)
| switch channel pause state between true and false
bool | pause_channel (int ch, bool stat)
| set the channel pause state
bool | set_volume (int ch, float vol)
| set a channel volume
void | set_all_volumes (float *vol)
| set all channel volumes at once
void | crossfade (int ch1, float vol1, int ch2, float vol2)
| set the volumes of two channels at once
bool | set_playmode (int ch, int mode)
| set the playmode of a channel (LOOP,CONT,PLAY)
void | set_speed (int ch, int speed)
| this is VERY EXPERIMENTAL, but we might get there soon
bool | set_position (int ch, float pos)
| set the channel position (from 0.0 to 1.0)
bool | move_song (int ch, int pos, int nch, int npos)
| move a playlist entry of a channel from a position to the other
bool | set_live (bool stat)
| set the state of the live input from soundcard
bool | set_lineout (bool stat)
| set the state of the live output to soundcard

## Function Documentation

bool Stream_mixer::add_to_playlist | ( | int | ch,
|  | const char * | file
| ) | `[inherited]`

  | inserts a new entry at the bottom of a channel playlist This adds an input stream or playlist to a certain channel Many kinds of files are supported: .mp3 single files .ogg single files .pls | .pl | .m3u playlists http:// mp3 streams directory/ (recusively adding recognized contents) the types are recognized using the filename, more often the extension after the last dot or the prefix before the url. You can investigate the parser in jmixer.cpp. Parameters:
  ch | channel number
  file | full path string
Returns: true in case of success, false otherwise Definition at line 650 of file jmixer.cpp.

bool Stream_mixer::create_channel | ( | int | ch | ) | `[inherited]`

  | create channel ch At the moment MuSE gives only the possibility to have 6 channels. This function creates the channel number ch and is necessary to call it before doing anything on the channel. Parameters:
  ch | number of the channel slot (from 1 to 6)
Returns: true in case of success, false otherwise Definition at line 336 of file jmixer.cpp.